gnutls_x509_crl_set_crt(3)

NAME
gnutls_x509_crl_set_crt - This function will set a revoked certificate's serial number

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crl_set_crt(gnutls_x509_crl_t crl, gnutls_x509_crt_t crt, time_t revocation_time);

ARGUMENTS

gnutls_x509_crl_t crl
    should contain a gnutls_x509_crl_t structure

gnutls_x509_crt_t crt
    a certificate of type gnutls_x509_crt_t with the revoked certificate

time_t revocation_time
    The time this certificate was revoked

DESCRIPTION
This function will set a revoked certificate's serial number to the CRL.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.